function SCap_CountShards()
	local count = 0
	local slot = 0
	local bag = 0
	for b = 0,4,1 do
		local slots = GetContainerNumSlots(b)
		for s = 1,slots,1 do
			local _,_,_,_,_,_,_,_,_,itemID = GetContainerItemInfo(b,s)
			if itemID == 6265 then
				if count == 0 then
					bag = b
					slot = s
				end
				count = count + 1
			end
		end
	end
	return count, bag, slot			-- Return the bag and slot number of the first shard found.
end

local function NukeShard(bag, slot)
	local bagName = GetBagName(bag)
	print("|cFFCCCCFFShardCap|r: Destroying shard in " .. bagName .. " slot " .. slot)
	PickupContainerItem(bag,slot)
	DeleteCursorItem()
end

-- Use this in a spell cast macro to delete a shard if too many in bags.
function SCap_CheckDestroyShard(cap)
	if cap <= 0 then return end		-- Can't have a cap of zero of less.
	
	local count, bag, slot = SCap_CountShards()
	if count < cap then return end	-- No need to delete a shard. Just bail out.
	
	NukeShard(bag, slot)			-- Get rid of a shard.
end

-- Use this to clean up bags if lots of shards. Could use in a spell macro too but not really necessary.
function SCap_CleanShards(cap)
	if cap <= 0 then return end		-- Can't have a cap of zero or less.
	
	local count, slot, bag = SCap_CountShards()
	
	while count > cap do
		local _,_,_,_,_,_,_,_,_,itemID = GetContainerItemInfo(bag, slot)
		if itemID == 6265 then
			NukeShard(bag, slot)	-- Get rid of a shard.
		end
		count, bag, slot = SCap_CountShards()	-- Recount shards and get bag/slot of first one found.
	end
end